%freqs=[0.1:0.1:2 2:0.2:4 4:2:8 40000];
freqs=[2.5 3.5 5.0 7.0 10.0];

for fr=1:1:length(freqs),
  fc=freqs(fr);
  
  f=0:1:128;
  f=f./128;
  
  % ramp filter
  rmp=0.5*f;
  
  % mult w/ cos window
  cs = 0.5*(1+cos(pi*f/fc)).*(f<=fc);
  fltf = rmp.*cs;
  
  %figure;
  % plot(rmp,'k');hold on;
  % plot(cs,'b');
  %plot(fltf,'r');title(fc);
  
  % do fftshift
  fltf2=zeros(1,256);
  fltf2(1:129)=fltf;
  fltf2(130:256)=fltf(128:-1:2); 
  
  figure;plot(fltf2,'r');title(fc);axis([1 256 0 0.5]);
  
  flt=ifft(fltf2);
  
  if max(imag(flt)) > 1e-10,
    display(sprintf('Error!! Imaginary part of time domain filter %g >0.',max(imag(flt))));
  end;
  
  flt=real(flt);
  
%  figure;plot(flt,'r');
  cmd=sprintf('save filters/gen_ham_%1.1f flt -ascii -double',fc);
  cmd
  eval(cmd);
  
  end;
  
