#ifndef DEFS_INC
#define DEFS_INC


#include "ansi_lib_loc/A_comp_iupui.h"


struct cmdline_params{
  int no_iter_rec;
  char *output;
  char *cfg_fname;
  char *initial;
  int plane;
  int single_frame; /* -1 for reconstructing all frames, otherwise frame# */
  int sglfr_th0cor_FLAG;
  int resol;
  int INTERP_FLAG;
  int SIGMA_FLAG;
  double sigma;
  int use_ramp_filter;
  double freq_cutoff;

}; 

struct all_data{  /* all data except transmission attenuation sino */
  double **X; /* recon image, initially CBP */
  double **Y; /* sinog. counts */
  int **mask;
  double scatter;
  struct sino_info sino;
  int Nsup; /* nb pixels w/ mask not zero */
};

#endif
